unit fce;

interface

const

  FCE_SET_CONNECT_WAIT      =  1;
  FCE_SET_MIN_RESPONSE_WAIT =  2;
  FCE_SET_MAX_RESPONSE_WAIT =  3;
  FCE_SET_MIN_LINE_WAIT     =  4;
  FCE_SET_MAX_LINE_WAIT     =  5;
  FCE_SET_AUTO_CALL_DRIVER  =  6;
  FCE_SET_MAX_FTP_WAIT      =  7;
  FCE_SET_SLEEP_TIME        =  8;
  FCE_SET_FTP_PORT          =  9;
  FCE_SET_CLOSE_LINGER      = 10;
  FCE_SET_WRITE_BUFSIZE     = 11;
  FCE_SET_PASSIVE           = 12;
  FCE_SET_MAX_LISTEN_WAIT   = 13;

  FCE_SET_LOG_FILE          = 20;
  FCE_WRITE_TO_LOG          = 21;

  FCE_GET_ERROR_TEXT        =  1;
  FCE_GET_COUNTER           =  2;
  FCE_GET_RESPONSE          =  3;
  FCE_GET_SOCK_ERROR        =  4;

  FCE_GET_FILE_BYTES_RCVD   = 10;
  FCE_GET_TOTAL_BYTES_RCVD  = 11;
  FCE_GET_FILE_BYTES_SENT   = 12;
  FCE_GET_TOTAL_BYTES_SENT  = 13;
  FCE_GET_SOCKET            = 14;
  FCE_GET_CONNECT_STATUS    = 15;
  FCE_GET_REGISTRATION      = 16;
  FCE_GET_ATTACH_COUNT      = 17;
  FCE_GET_LAST_RESPONSE     = 18;
  FCE_GET_SERVER_IP         = 19;
  FCE_GET_VERSION           = 20;
  FCE_GET_BUILD             = 21;

  FCE_FULL_LIST = 0;
  FCE_NAME_LIST = 1;
  FCE_FULL_LIST_FILE = 2;
  FCE_NAME_LIST_FILE = 3;

function fceAbort(fceChan:Integer):Integer;stdcall;
function fceAttach(fceNbrChans:Integer;fceKeyCode:LongInt):Integer;stdcall;
function fceClose(fceChan:Integer):Integer;stdcall;
function fceCommand(fceChan:Integer;fceCmd:PChar):Integer;stdcall;
function fceConnect(fceChan:Integer;fceServer:PChar; fceUser:PChar; fcePass:PChar):Integer;stdcall;
function fceDebug(fceChan:Integer;fceValue:Integer;fceBuffer:PChar; fceBufLen:Integer):Integer;stdcall;
function fceDelFile(fceChan:Integer;fceFileName:PChar):Integer;stdcall;
function fceDelServerDir(fceChan:Integer;fceServerName:PChar):Integer;stdcall;
function fceDriver(fceChan:Integer):Integer;stdcall;
function fceErrorText(fceChan:Integer;Code:Integer;fceBuffer:PChar; fceBufLen:Integer):Integer;stdcall;
function fceExtract(fceBuffer:PChar; fceLineNbr:Integer;FieldNbr:Integer;fceBufPtr:PChar; fceBufLen:Integer):Integer;stdcall;
function fceGetFile(fceChan:Integer;fceFileName:PChar):Integer;stdcall;
function fceGetInteger(fceChan:Integer;fceParamName:Integer):LongInt;stdcall;
function fceGetList(fceChan:Integer;fceListType:Integer;fceBuffer:PChar; fceBufLen:Integer):Integer;stdcall;
function fceGetLocalDir(fceChan:Integer;fceBuffer:PChar; fceBufLen:Integer):Integer;stdcall;
function fceGetServerDir(fceChan:Integer;fceBuffer:PChar; fceBufLen:Integer):Integer;stdcall;
function fceGetString(fceChan:Integer;fceParamName:Integer;fceBuffer:PChar; fceBufLen:Integer):Integer;stdcall;
function fceHello(fceChan:Integer):Integer;stdcall;
function fceMakeServerDir(fceChan:Integer;fceServerDir:PChar):Integer;stdcall;
function fcePutFile(fceChan:Integer;fceFileName:PChar):Integer;stdcall;
function fceRelease:Integer;stdcall;
function fceSetInteger(fceChan:Integer;fceParamName:Integer;fceParamValue:LongInt):Integer;stdcall;
function fceSetLocalDir(fceChan:Integer;fceDirName:PChar):Integer;stdcall;
function fceSetMode(fceChan:Integer;fceXferMode:Char):Integer;stdcall;
function fceSetServerDir(fceChan:Integer;fceDirName:PChar):Integer;stdcall;
function fceSetString(fceChan:Integer;fceParamName:Integer;fceParamString:PChar):Integer;stdcall;

implementation

function fceAbort;external 'FCE32';
function fceAttach;external 'FCE32';
function fceClose;external 'FCE32';
function fceCommand;external 'FCE32';
function fceConnect;external 'FCE32';
function fceDebug;external 'FCE32';
function fceDelFile;external 'FCE32';
function fceDelServerDir;external 'FCE32';
function fceDriver;external 'FCE32';
function fceErrorText;external 'FCE32';
function fceExtract;external 'FCE32';
function fceGetFile;external 'FCE32';
function fceGetInteger;external 'FCE32';
function fceGetList;external 'FCE32';
function fceGetLocalDir;external 'FCE32';
function fceGetServerDir;external 'FCE32';
function fceGetString;external 'FCE32';
function fceHello;external 'FCE32';
function fceMakeServerDir;external 'FCE32';
function fcePutFile;external 'FCE32';
function fceRelease;external 'FCE32';
function fceSetInteger;external 'FCE32';
function fceSetLocalDir;external 'FCE32';
function fceSetMode;external 'FCE32';
function fceSetServerDir;external 'FCE32';
function fceSetString;external 'FCE32';

end.




